%define module	versiontools

Name:		python-%{module}
Version:	1.9.1
Release:	%mkrel 13
Summary:	Smart replacement for plain tuple used in __version__
Group:		Development/Python
License:	LGPLv3
URL:		https://launchpad.net/versiontools
Source0:	https://pypi.io/packages/source/v/versiontools/%{module}-%{version}.tar.gz

# Update tests for python 3.4
Patch0:		versiontools-1.9.1-py34-tests.patch
Patch1:		python-versiontools-py35.patch
BuildArch:	noarch

%description
Smart replacement for plain tuple used in __version__.

%package -n	python3-%{module}
Summary:	Smart replacement for plain tuple used in __version__
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3dist(nose)

%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Smart replacement for plain tuple used in __version__.

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1


find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files versiontools

%check
PYTHONPATH="${PWD}" %{__python3} setup.py nosetests

%files -n python3-%{module} -f %{pyproject_files}
%doc html


%changelog
* Tue Jan 16 2024 daviddavid <daviddavid> 1.9.1-13.mga10
+ Revision: 2031512
- rebuild again to remove old pkgs

* Sun Dec 17 2023 papoteur <papoteur> 1.9.1-12.mga10
+ Revision: 2018679
- rebuild for python3.12
- adapt to pyproject
- new 2.4.1-1

* Sun Dec 17 2023 papoteur <papoteur> 1.9.1-11.mga10
+ Revision: 2018675
- rebuild for python3.12
- adapt to pyproject
- new 6.0.1

* Sun Dec 17 2023 papoteur <papoteur> 1.9.1-10.mga10
+ Revision: 2018526
- rebuild for python3.12
- adapt to pyproject

* Tue Mar 29 2022 umeabot <umeabot> 1.9.1-9.mga9
+ Revision: 1832711
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 1.9.1-8.mga9
+ Revision: 1781261
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 1.9.1-7.mga9
+ Revision: 1706978
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.9.1-6.mga8
+ Revision: 1532131
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 1.9.1-5.mga8
+ Revision: 1441659
- rebuild for python3.8
- drop python2 support

* Sat Aug 24 2019 daviddavid <daviddavid> 1.9.1-4.mga8
+ Revision: 1431762
- remove BR python2-sphinx

* Wed Jan 09 2019 shlomif <shlomif> 1.9.1-3.mga7
+ Revision: 1353158
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.9.1-2.mga7
+ Revision: 1290455
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 1.9.1-1.mga7
+ Revision: 1227818
- imported package python-versiontools

